---
features:
  primary:
  - name: "Install the GitLab Agent for Kubernetes with Omnibus GitLab"
    available_in: [premium, ultimate]
    gitlab_com: false
    documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/'
    image_url: '/images/13_5/gitops-header.png'
    reporter: nagyv-gitlab
    stage: configure
    categories:
    - 'Kubernetes Management'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/223060'
    description: |
      Last month we introduced the [GitLab Agent for Kubernetes](/releases/2020/09/22/gitlab-13-4-released/#introducing-the-gitlab-kubernetes-agent) for self-managed GitLab instances installed with Helm.

      This release adds support for the [official Linux package](/install/). In this new Kubernetes integration, the Agent orchestrates deployments by pulling new changes from GitLab, rather than GitLab pushing updates to your cluster. You can learn more about [how the Kubernetes Agent works now](https://docs.gitlab.com/ee/user/clusters/agent/) and [check out our vision](/direction/configure/kubernetes_management/) to see what's in store.
